package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.WaterqualitySurface;
import com.lightinit.hsdatashow.entity.WaterqualitySurfaceExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface WaterqualitySurfaceMapper {
    long countByExample(WaterqualitySurfaceExample example);

    int deleteByExample(WaterqualitySurfaceExample example);

    int deleteByPrimaryKey(Long id);

    int insert(WaterqualitySurface record);

    int insertSelective(WaterqualitySurface record);

    List<WaterqualitySurface> selectByExample(WaterqualitySurfaceExample example);

    WaterqualitySurface selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") WaterqualitySurface record, @Param("example") WaterqualitySurfaceExample example);

    int updateByExample(@Param("record") WaterqualitySurface record, @Param("example") WaterqualitySurfaceExample example);

    int updateByPrimaryKeySelective(WaterqualitySurface record);

    int updateByPrimaryKey(WaterqualitySurface record);

    List<WaterqualitySurface> getWaterqualitySurface(@Param("year") int year);
}